#@+leo-ver=4
#@+node:@file examples/fltk/test.py
# simple demo which uses our demo embedded pyrex extension

import pyfltklite as fl

# create a window
w = fl.Window1(100, 200, 300, 200, "Hello, there")

# add a button, and label it
b = fl.Button(9,20,180,50, "Press Me!")

# define a callback function
def on_buttonPress(*args, **kw):
    print "b_callback: args=%s kw=%s" % (args, kw)

# install the callback
b.callback(
    on_buttonPress,
    "some callback data", 232,  # some arbitrary args
    fred=123, mary=['a', 22]    # some arbitrary keywords
    )

# terminate the window creation
w.end()

# all done, now show the window and enter the main loop
w.show()
fl.run()
#@-node:@file examples/fltk/test.py
#@-leo
